[DEFAULT]
verbose = True
debug = True
state_path = /opt/designate
notification_driver = messaging
notification_topics = notifications
rabbit_userid = designate
rabbit_password = designate
rabbit_hosts = rabbit:5672
quota_api_export_size = 1000
quota_recordset_records = 3000
quota_zone_records = 3000
quota_zone_recordsets = 3000
quota_zones = 3

[service:api]
api_host = 0.0.0.0
api_port = 9001
enable_host_header = True
auth_strategy = noauth
enable_api_v1 = False
enable_api_v2 = True
enable_api_admin = True
enabled_extensions_admin = reports, quotas, counts, tenants

[service:central]

[service:mdns]
workers = 3
port = 5354
all_tcp = True

[service:producer]
workers = 1

[service:worker]
enabled = True
workers = 1
storage-driver = sqlalchemy
notify = True
poll_timeout = 2
poll_retry_interval = 2
poll_max_retries = 2
poll_delay = 2

[pool_manager_cache:sqlalchemy]
connection = mysql+pymysql://root:password@mysql/designate_pool_manager?charset=utf8

[pool_manager_cache:memcache]
memcached_servers = memcached:11211
expiration = 3600

[storage:sqlalchemy]
connection = mysql+pymysql://root:password@mysql/designate?charset=utf8

[producer_task:worker_periodic_recovery]
interval = 30

